Bug 1576633 (CVE-2018-1039) - CVE-2018-1039 dotnet: Device Guard security bypass can allow for privilege escalation
Summary: CVE-2018-1039 dotnet: Device Guard security bypass can allow for privilege es...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-1039
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1576634
TreeView+ depends on / blocked
 
Reported: 2018-05-10 02:07 UTC by Sam Fowler
Modified: 2021-02-17 00:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 10:07:35 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-05-10 02:07:01 UTC
A security feature bypass vulnerability exists in .Net Framework which could allow an attacker to bypass Device Guard. An attacker who successfully exploited this vulnerability could circumvent a User Mode Code Integrity (UMCI) policy on the machine.

To exploit the vulnerability, an attacker would first have to access the local machine, and then run a malicious program.


External References:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-1039

Comment 4 Stefan Cornelius 2019-09-27 10:07:38 UTC
Statement:

The User Mode Code Integrity (UMCI) and Device Guard features are specific to certain versions of the Microsoft Windows operating system and not available with Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.